## DVB variants of MPEG-TS descriptors

DVB variants of MPEG-TS descriptors — Descriptors for the various DVB specifications

## Functions

gboolean | gst_mpegts_descriptor_parse_dvb_content ()
void | gst_mpegts_dvb_component_descriptor_free ()
gboolean | gst_mpegts_descriptor_parse_dvb_component ()
void | gst_mpegts_extended_event_descriptor_free ()
gboolean | gst_mpegts_descriptor_parse_dvb_extended_event ()
gboolean | gst_mpegts_descriptor_parse_satellite_delivery_system ()
gboolean | gst_mpegts_descriptor_parse_cable_delivery_system ()
gboolean | gst_mpegts_descriptor_parse_terrestrial_delivery_system ()
void | gst_mpegts_t2_delivery_system_descriptor_free ()
gboolean | gst_mpegts_descriptor_parse_dvb_t2_delivery_system ()
gboolean | gst_mpegts_descriptor_parse_dvb_short_event ()
gboolean | gst_mpegts_descriptor_parse_dvb_network_name ()
GstMpegtsDescriptor * | gst_mpegts_descriptor_from_dvb_network_name ()
gboolean | gst_mpegts_descriptor_parse_dvb_service ()
GstMpegtsDescriptor * | gst_mpegts_descriptor_from_dvb_service ()
gboolean | gst_mpegts_descriptor_parse_dvb_teletext_idx ()
guint | gst_mpegts_descriptor_parse_dvb_teletext_nb ()
gboolean | gst_mpegts_descriptor_parse_dvb_subtitling_idx ()
guint | gst_mpegts_descriptor_parse_dvb_subtitling_nb ()
GstMpegtsDescriptor * | gst_mpegts_descriptor_from_dvb_subtitling ()
void | gst_mpegts_dvb_linkage_descriptor_free ()
const GstMpegtsDVBLinkageMobileHandOver * | gst_mpegts_dvb_linkage_descriptor_get_mobile_hand_over ()
const GstMpegtsDVBLinkageEvent * | gst_mpegts_dvb_linkage_descriptor_get_event ()
const GPtrArray * | gst_mpegts_dvb_linkage_descriptor_get_extended_event ()
gboolean | gst_mpegts_descriptor_parse_dvb_linkage ()
gboolean | gst_mpegts_descriptor_parse_dvb_private_data_specifier ()
gboolean | gst_mpegts_descriptor_parse_dvb_frequency_list ()
void | gst_mpegts_dvb_data_broadcast_descriptor_free ()
gboolean | gst_mpegts_descriptor_parse_dvb_data_broadcast ()
gboolean | gst_mpegts_descriptor_parse_dvb_scrambling ()
gboolean | gst_mpegts_descriptor_parse_dvb_data_broadcast_id ()
gboolean | gst_mpegts_descriptor_parse_dvb_parental_rating ()
gboolean | gst_mpegts_descriptor_parse_dvb_stream_identifier ()
gboolean | gst_mpegts_descriptor_parse_dvb_ca_identifier ()
gboolean | gst_mpegts_descriptor_parse_dvb_service_list ()
gboolean | gst_mpegts_descriptor_parse_dvb_stuffing ()
gboolean | gst_mpegts_descriptor_parse_dvb_bouquet_name ()
gboolean | gst_mpegts_descriptor_parse_dvb_multilingual_network_name ()
gboolean | gst_mpegts_descriptor_parse_dvb_multilingual_bouquet_name ()
gboolean | gst_mpegts_descriptor_parse_dvb_multilingual_service_name ()
gboolean | gst_mpegts_descriptor_parse_dvb_multilingual_component ()

## Types and Values

enum | GstMpegtsDVBDescriptorType
enum | GstMpegtsDVBExtendedDescriptorType
struct | GstMpegtsContent
struct | GstMpegtsComponentDescriptor
struct | GstMpegtsExtendedEventItem
struct | GstMpegtsExtendedEventDescriptor
struct | GstMpegtsSatelliteDeliverySystemDescriptor
enum | GstMpegtsDVBCodeRate
enum | GstMpegtsModulationType
enum | GstMpegtsSatellitePolarizationType
enum | GstMpegtsSatelliteRolloff
struct | GstMpegtsCableDeliverySystemDescriptor
enum | GstMpegtsCableOuterFECScheme
struct | GstMpegtsTerrestrialDeliverySystemDescriptor
enum | GstMpegtsTerrestrialTransmissionMode
enum | GstMpegtsTerrestrialGuardInterval
enum | GstMpegtsTerrestrialHierarchy
struct | GstMpegtsT2DeliverySystemCellExtension
struct | GstMpegtsT2DeliverySystemCell
struct | GstMpegtsT2DeliverySystemDescriptor
enum | GstMpegtsDVBServiceType
enum | GstMpegtsDVBTeletextType
enum | GstMpegtsDVBLinkageType
enum | GstMpegtsDVBLinkageHandOverType
struct | GstMpegtsDVBLinkageMobileHandOver
struct | GstMpegtsDVBLinkageEvent
struct | GstMpegtsDVBLinkageExtendedEvent
struct | GstMpegtsDVBLinkageDescriptor
struct | GstMpegtsDataBroadcastDescriptor
enum | GstMpegtsDVBScramblingModeType
struct | GstMpegtsDVBParentalRatingItem
struct | GstMpegtsDVBServiceListItem
struct | GstMpegtsDvbMultilingualNetworkNameItem
struct | GstMpegtsDvbMultilingualBouquetNameItem
struct | GstMpegtsDvbMultilingualServiceNameItem
struct | GstMpegtsDvbMultilingualComponentItem

## Object Hierarchy

        GEnum
        ├── GstMpegtsCableOuterFECScheme
        ├── GstMpegtsDVBCodeRate
        ├── GstMpegtsDVBServiceType
        ├── GstMpegtsModulationType
        ├── GstMpegtsSatellitePolarizationType
        ╰── GstMpegtsSatelliteRolloff

## Includes

    #include <gst/mpegts/mpegts.h>

## Description

## Functions

### gst_mpegts_descriptor_parse_dvb_content ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_content
                                   (const GstMpegtsDescriptor *descriptor,
                                    GPtrArray **content);

Extracts the DVB content information from `descriptor` .

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_CONTENT` GstMpegtsDescriptor |
content | GstMpegtsContent. | [out][transfer full][element-type GstMpegtsContent]

#### Returns

`TRUE` if the parsing happened correctly, else `FALSE`.

### gst_mpegts_dvb_component_descriptor_free ()

    void
    gst_mpegts_dvb_component_descriptor_free
                                   (GstMpegtsComponentDescriptor *source);

### gst_mpegts_descriptor_parse_dvb_component ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_component
                                   (const GstMpegtsDescriptor *descriptor,
                                    GstMpegtsComponentDescriptor **res);

Extracts the DVB component information from `descriptor` .

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_COMPONENT` GstMpegtsDescriptor |
res | the GstMpegtsComponentDescriptor to fill. | [out][transfer full]

#### Returns

`TRUE` if parsing succeeded, else `FALSE`.

### gst_mpegts_extended_event_descriptor_free ()

    void
    gst_mpegts_extended_event_descriptor_free
                                   (GstMpegtsExtendedEventDescriptor *source);

### gst_mpegts_descriptor_parse_dvb_extended_event ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_extended_event
                                   (const GstMpegtsDescriptor *descriptor,
                                    GstMpegtsExtendedEventDescriptor **res);

Extracts the DVB extended event information from `descriptor` .

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_EXTENDED_EVENT` GstMpegtsDescriptor |
res | the GstMpegtsExtendedEventDescriptor to fill. | [out][transfer full]

#### Returns

`TRUE` if parsing succeeded, else `FALSE`.

### gst_mpegts_descriptor_parse_satellite_delivery_system ()

    gboolean
    gst_mpegts_descriptor_parse_satellite_delivery_system
                                   (const GstMpegtsDescriptor *descriptor,
                                    GstMpegtsSatelliteDeliverySystemDescriptor *res);

Extracts the satellite delivery system information from `descriptor` .

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_SATELLITE_DELIVERY_SYSTEM` GstMpegtsDescriptor |
res | the GstMpegtsSatelliteDeliverySystemDescriptor to fill. | [out][transfer none]

#### Returns

`TRUE` if parsing succeeded, else `FALSE`.

### gst_mpegts_descriptor_parse_cable_delivery_system ()

    gboolean
    gst_mpegts_descriptor_parse_cable_delivery_system
                                   (const GstMpegtsDescriptor *descriptor,
                                    GstMpegtsCableDeliverySystemDescriptor *res);

Extracts the cable delivery system information from `descriptor` .

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_CABLE_DELIVERY_SYSTEM` GstMpegtsDescriptor |
res | the GstMpegtsCableDeliverySystemDescriptor to fill. | [out][transfer none]

#### Returns

`TRUE` if parsing succeeded, else `FALSE`.

### gst_mpegts_descriptor_parse_terrestrial_delivery_system ()

    gboolean
    gst_mpegts_descriptor_parse_terrestrial_delivery_system
                                   (const GstMpegtsDescriptor *descriptor,
                                    GstMpegtsTerrestrialDeliverySystemDescriptor *res);

Parses out the terrestrial delivery system from the `descriptor` .

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_TERRESTRIAL_DELIVERY_SYSTEM` GstMpegtsDescriptor |
res | GstMpegtsTerrestrialDeliverySystemDescriptor. | [out][transfer none]

#### Returns

`TRUE` if the parsing happened correctly, else `FALSE`.

### gst_mpegts_t2_delivery_system_descriptor_free ()

    void
    gst_mpegts_t2_delivery_system_descriptor_free
                                   (GstMpegtsT2DeliverySystemDescriptor *source);

### gst_mpegts_descriptor_parse_dvb_t2_delivery_system ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_t2_delivery_system
                                   (const GstMpegtsDescriptor *descriptor,
                                    GstMpegtsT2DeliverySystemDescriptor **res);

Parses out the DVB-T2 delivery system from the `descriptor` .

#### Parameters

descriptor | a `GST_MTS_DESC_EXT_DVB_T2_DELIVERY_SYSTEM` GstMpegtsDescriptor |
res | GstMpegtsT2DeliverySystemDescriptor. | [out][transfer full]

#### Returns

`TRUE` if the parsing happened correctly, else `FALSE`.

### gst_mpegts_descriptor_parse_dvb_short_event ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_short_event
                                   (const GstMpegtsDescriptor *descriptor,
                                    gchar **language_code,
                                    gchar **event_name,
                                    gchar **text);

Extracts the DVB short event information from `descriptor` .

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_SHORT_EVENT` GstMpegtsDescriptor |
language_code | the language code. | [out][transfer full][allow-none]
event_name | the event name. | [out][transfer full][allow-none]
text | the event text. | [out][transfer full][allow-none]

#### Returns

`TRUE` if parsing succeeded, else `FALSE`.

### gst_mpegts_descriptor_parse_dvb_network_name ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_network_name
                                   (const GstMpegtsDescriptor *descriptor,
                                    gchar **name);

Parses out the dvb network name from the `descriptor` :

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_NETWORK_NAME` GstMpegtsDescriptor |
name | the extracted name. | [out][transfer full]

#### Returns

`TRUE` if the parsing happened correctly, else `FALSE`.

### gst_mpegts_descriptor_from_dvb_network_name ()

    GstMpegtsDescriptor *
    gst_mpegts_descriptor_from_dvb_network_name
                                   (const gchar *name);

Creates a GstMpegtsDescriptor to be a `GST_MTS_DESC_DVB_NETWORK_NAME`, with the network name `name` . The data field of the GstMpegtsDescriptor will be allocated, and transferred to the caller.

#### Parameters

name | the network name to set |

#### Returns

the GstMpegtsDescriptor or `NULL` on fail.

[transfer full]

### gst_mpegts_descriptor_parse_dvb_service ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_service
                                   (const GstMpegtsDescriptor *descriptor,
                                    GstMpegtsDVBServiceType *service_type,
                                    gchar **service_name,
                                    gchar **provider_name);

Extracts the dvb service information from `descriptor` .

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_SERVICE` GstMpegtsDescriptor |
service_type | the service type. | [out][allow-none]
service_name | the service name. | [out][transfer full][allow-none]
provider_name | the provider name. | [out][transfer full][allow-none]

#### Returns

`TRUE` if parsing succeeded, else `FALSE`.

### gst_mpegts_descriptor_from_dvb_service ()

    GstMpegtsDescriptor *
    gst_mpegts_descriptor_from_dvb_service
                                   (GstMpegtsDVBServiceType service_type,
                                    const gchar *service_name,
                                    const gchar *service_provider);

Fills a GstMpegtsDescriptor to be a `GST_MTS_DESC_DVB_SERVICE`. The data field of the GstMpegtsDescriptor will be allocated, and transferred to the caller.

#### Parameters

service_type | Service type defined as a GstMpegtsDVBServiceType |
service_name | Name of the service. | [allow-none]
service_provider | Name of the service provider. | [allow-none]

#### Returns

the GstMpegtsDescriptor or `NULL` on fail.

[transfer full]

### gst_mpegts_descriptor_parse_dvb_teletext_idx ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_teletext_idx
                                   (const GstMpegtsDescriptor *descriptor,
                                    guint idx,
                                    gchar **language_code,
                                    GstMpegtsDVBTeletextType *teletext_type,
                                    guint8 *magazine_number,
                                    guint8 *page_number);

Parses teletext number `idx` in the `descriptor` . The language is in ISO639 format.

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_TELETEXT` GstMpegtsDescriptor |
idx | The id of the teletext to get |
language_code | a null-terminated string. | [out][transfer full][allow-none]
teletext_type | GstMpegtsDVBTeletextType. | [out][allow-none]
magazine_number | . | [out][allow-none]
page_number | . | [out][allow-none]

#### Returns

FALSE on out-of-bounds and errors

### gst_mpegts_descriptor_parse_dvb_teletext_nb ()

    guint
    gst_mpegts_descriptor_parse_dvb_teletext_nb
                                   (const GstMpegtsDescriptor *descriptor);

Find the number of teletext entries in `descriptor`

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_TELETEXT` GstMpegtsDescriptor |

#### Returns

Number of teletext entries

### gst_mpegts_descriptor_parse_dvb_subtitling_idx ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_subtitling_idx
                                   (const GstMpegtsDescriptor *descriptor,
                                    guint idx,
                                    gchar **lang,
                                    guint8 *type,
                                    guint16 *composition_page_id,
                                    guint16 *ancillary_page_id);

Extracts the DVB subtitling informatio from specific table id in `descriptor` .

Note: Use gst_tag_get_language_code if you want to get the the ISO 639-1 language code from the returned ISO 639-2 one.

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_SUBTITLING` GstMpegtsDescriptor |
idx | Table id of the entry to parse |
lang | the language code. | [out][transfer full]
type | the type of subtitling. | [out][transfer none][allow-none]
composition_page_id | the composition page id. | [out][transfer none][allow-none]
ancillary_page_id | the ancillary page id. | [out][transfer none][allow-none]

#### Returns

`TRUE` if parsing succeeded, else `FALSE`.

### gst_mpegts_descriptor_parse_dvb_subtitling_nb ()

    guint
    gst_mpegts_descriptor_parse_dvb_subtitling_nb
                                   (const GstMpegtsDescriptor *descriptor);

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_SUBTITLING` GstMpegtsDescriptor |

#### Returns

The number of entries in `descriptor`

### gst_mpegts_descriptor_from_dvb_subtitling ()

    GstMpegtsDescriptor *
    gst_mpegts_descriptor_from_dvb_subtitling
                                   (const gchar *lang,
                                    guint8 type,
                                    guint16 composition,
                                    guint16 ancillary);

#### Parameters

lang | a string containing the ISO639 language. | [transfer none]
type | subtitling type |
composition | composition page id |
ancillary | ancillary page id |

### gst_mpegts_dvb_linkage_descriptor_free ()

    void
    gst_mpegts_dvb_linkage_descriptor_free
                                   (GstMpegtsDVBLinkageDescriptor *source);

### gst_mpegts_dvb_linkage_descriptor_get_mobile_hand_over ()

    const GstMpegtsDVBLinkageMobileHandOver *
    gst_mpegts_dvb_linkage_descriptor_get_mobile_hand_over
                                   (const GstMpegtsDVBLinkageDescriptor *desc);

#### Parameters

desc | the GstMpegtsDVBLinkageDescriptor |

#### Returns

The GstMpegtsDVBLinkageMobileHandOver or `NULL` if an error happened

### gst_mpegts_dvb_linkage_descriptor_get_event ()

    const GstMpegtsDVBLinkageEvent *
    gst_mpegts_dvb_linkage_descriptor_get_event
                                   (const GstMpegtsDVBLinkageDescriptor *desc);

#### Parameters

desc | the GstMpegtsDVBLinkageDescriptor |

#### Returns

The GstMpegtsDVBLinkageEvent or `NULL` if an error happened

### gst_mpegts_dvb_linkage_descriptor_get_extended_event ()

    const GPtrArray *
    gst_mpegts_dvb_linkage_descriptor_get_extended_event
                                   (const GstMpegtsDVBLinkageDescriptor *desc);

#### Parameters

desc | the GstMpegtsDVBLinkageDescriptor |

#### Returns

an GstMpegtsDVBLinkageExtendedEvent array or `NULL` if an error happened.

[element-type GstMpegtsDVBLinkageExtendedEvent]

### gst_mpegts_descriptor_parse_dvb_linkage ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_linkage
                                   (const GstMpegtsDescriptor *descriptor,
                                    GstMpegtsDVBLinkageDescriptor **res);

Extracts the DVB linkage information from `descriptor` .

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_LINKAGE` GstMpegtsDescriptor |
res | the GstMpegtsDVBLinkageDescriptor to fill. | [out][transfer full]

#### Returns

`TRUE` if parsing succeeded, else `FALSE`.

### gst_mpegts_descriptor_parse_dvb_private_data_specifier ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_private_data_specifier
                                   (const GstMpegtsDescriptor *descriptor,
                                    guint32 *private_data_specifier,
                                    guint8 **private_data,
                                    guint8 *length);

Parses out the private data specifier from the `descriptor` .

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_PRIVATE_DATA_SPECIFIER` GstMpegtsDescriptor |
private_data_specifier | the private data specifier id registered by http://www.dvbservices.com/. | [out]
private_data | additional data or NULL. | [out][transfer full][allow-none][array length=length]
length | length of `private_data`. | [out][allow-none]

#### Returns

`TRUE` if the parsing happened correctly, else `FALSE`.

### gst_mpegts_descriptor_parse_dvb_frequency_list ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_frequency_list
                                   (const GstMpegtsDescriptor *descriptor,
                                    gboolean *offset,
                                    GArray **list);

Parses out a list of frequencies from the `descriptor` .

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_FREQUENCY_LIST` GstMpegtsDescriptor |
offset | `FALSE` in Hz, `TRUE` in kHz. | [out]
list | a list of all frequencies in Hz/kHz depending on `offset`. | [out][transfer full][element-type guint32]

#### Returns

`TRUE` if the parsing happened correctly, else `FALSE`.

### gst_mpegts_dvb_data_broadcast_descriptor_free ()

    void
    gst_mpegts_dvb_data_broadcast_descriptor_free
                                   (GstMpegtsDataBroadcastDescriptor *source);

### gst_mpegts_descriptor_parse_dvb_data_broadcast ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_data_broadcast
                                   (const GstMpegtsDescriptor *descriptor,
                                    GstMpegtsDataBroadcastDescriptor **res);

Parses out the data broadcast from the `descriptor` .

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_DATA_BROADCAST` GstMpegtsDescriptor |
res | GstMpegtsDataBroadcastDescriptor. | [out][transfer full]

#### Returns

`TRUE` if the parsing happened correctly, else `FALSE`.

### gst_mpegts_descriptor_parse_dvb_scrambling ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_scrambling
                                   (const GstMpegtsDescriptor *descriptor,
                                    GstMpegtsDVBScramblingModeType *scrambling_mode);

Parses out the scrambling mode from the `descriptor` .

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_SCRAMBLING` GstMpegtsDescriptor |
scrambling_mode | This 8-bit field identifies the selected mode of the scrambling algorithm (GstMpegtsDVBScramblingModeType). The technical details of the scrambling algorithm are available only to bona-fide users upon signature of a Non Disclosure Agreement (NDA) administered by the DVB Common Scrambling Algorithm Custodian. | [out]

#### Returns

`TRUE` if the parsing happened correctly, else `FALSE`.

### gst_mpegts_descriptor_parse_dvb_data_broadcast_id ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_data_broadcast_id
                                   (const GstMpegtsDescriptor *descriptor,
                                    guint16 *data_broadcast_id,
                                    guint8 **id_selector_bytes,
                                    guint8 *len);

Parses out the data broadcast id from the `descriptor` .

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_DATA_BROADCAST_ID` GstMpegtsDescriptor |
data_broadcast_id | the data broadcast id. | [out]
id_selector_bytes | the selector bytes, if present. | [out][transfer full][array length=len]
len | the length of id_selector_bytes. | [out]

#### Returns

`TRUE` if the parsing happened correctly, else `FALSE`.

### gst_mpegts_descriptor_parse_dvb_parental_rating ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_parental_rating
                                   (const GstMpegtsDescriptor *descriptor,
                                    GPtrArray **rating);

Extracts the DVB parental rating information from `descriptor` .

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_PARENTAL_RATING` GstMpegtsDescriptor |
rating | GstMpegtsDVBParentalRatingItem. | [out][transfer full][element-type GstMpegtsDVBParentalRatingItem]

#### Returns

`TRUE` if the parsing happened correctly, else `FALSE`.

### gst_mpegts_descriptor_parse_dvb_stream_identifier ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_stream_identifier
                                   (const GstMpegtsDescriptor *descriptor,
                                    guint8 *component_tag);

Extracts the component tag from `descriptor` .

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_CONTENT` GstMpegtsDescriptor |
component_tag | the component tag. | [out][transfer none]

#### Returns

`TRUE` if the parsing happended correctly, else `FALSE`.

### gst_mpegts_descriptor_parse_dvb_ca_identifier ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_ca_identifier
                                   (const GstMpegtsDescriptor *descriptor,
                                    GArray **list);

Extracts ca id's from `descriptor` .

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_CA_IDENTIFIER` GstMpegtsDescriptor |
list | a list of ca identifier. Edge entry identifies the CA system. Allocations of the value of this field are found in http://www.dvbservices.com. | [out][transfer full][element-type guint16]

#### Returns

`TRUE` if the parsing happened correctly, else `FALSE`.

### gst_mpegts_descriptor_parse_dvb_service_list ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_service_list
                                   (const GstMpegtsDescriptor *descriptor,
                                    GPtrArray **list);

Parses out a list of services from the `descriptor` :

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_SERVICE_LIST` GstMpegtsDescriptor |
list | the list of services. | [out][transfer full][element-type GstMpegtsDVBServiceListItem]

#### Returns

`TRUE` if the parsing happened correctly, else `FALSE`.

### gst_mpegts_descriptor_parse_dvb_stuffing ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_stuffing
                                   (const GstMpegtsDescriptor *descriptor,
                                    guint8 **stuffing_bytes);

Parses out the stuffing bytes from the `descriptor` .

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_STUFFING` GstMpegtsDescriptor |
stuffing_bytes | the stuffing bytes. | [out][transfer full]

#### Returns

`TRUE` if the parsing happened correctly, else `FALSE`.

### gst_mpegts_descriptor_parse_dvb_bouquet_name ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_bouquet_name
                                   (const GstMpegtsDescriptor *descriptor,
                                    gchar **bouquet_name);

Extracts the bouquet name from `descriptor` .

#### Parameters

bouquet_name | the bouquet name. | [out][transfer full][allow-none]

#### Returns

`TRUE` if parsing succeeded, else `FALSE`.

### gst_mpegts_descriptor_parse_dvb_multilingual_network_name ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_multilingual_network_name
                                   (const GstMpegtsDescriptor *descriptor,
                                    GPtrArray **network_name_items);

Parses out the multilingual network name from the `descriptor` .

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_MULTILINGUAL_NETWORK_NAME` GstMpegtsDescriptor |
network_name_items | a GstMpegtsDvbMultilingualNetworkNameItem. | [out][transfer full][element-type GstMpegtsDvbMultilingualNetworkNameItem]

#### Returns

`TRUE` if the parsing happened correctly, else `FALSE`.

### gst_mpegts_descriptor_parse_dvb_multilingual_bouquet_name ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_multilingual_bouquet_name
                                   (const GstMpegtsDescriptor *descriptor,
                                    GPtrArray **bouquet_name_items);

Parses out the multilingual bouquet name from the `descriptor` .

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_MULTILINGUAL_BOUQUET_NAME` GstMpegtsDescriptor |
bouquet_name_items | a GstMpegtsDvbMultilingualBouquetNameItem. | [out][transfer full][element-type GstMpegtsDvbMultilingualBouquetNameItem]

#### Returns

`TRUE` if the parsing happened correctly, else `FALSE`.

### gst_mpegts_descriptor_parse_dvb_multilingual_service_name ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_multilingual_service_name
                                   (const GstMpegtsDescriptor *descriptor,
                                    GPtrArray **service_name_items);

Parses out the multilingual service name from the `descriptor` .

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_MULTILINGUAL_SERVICE_NAME` GstMpegtsDescriptor |
service_name_items | a GstMpegtsDvbMultilingualServiceNameItem. | [out][transfer full][element-type GstMpegtsDvbMultilingualServiceNameItem]

#### Returns

`TRUE` if the parsing happened correctly, else `FALSE`.

### gst_mpegts_descriptor_parse_dvb_multilingual_component ()

    gboolean
    gst_mpegts_descriptor_parse_dvb_multilingual_component
                                   (const GstMpegtsDescriptor *descriptor,
                                    guint8 *component_tag,
                                    GPtrArray **component_description_items);

Parses out the multilingual component from the `descriptor` .

#### Parameters

descriptor | a `GST_MTS_DESC_DVB_MULTILINGUAL_COMPONENT` GstMpegtsDescriptor |
component_tag | the component tag. | [out]
component_description_items | a GstMpegtsDvbMultilingualComponentItem. | [out][transfer full][element-type GstMpegtsDvbMultilingualComponentItem]

#### Returns

`TRUE` if the parsing happened correctly, else `FALSE`.

## Types and Values

### enum GstMpegtsDVBDescriptorType

The type of GstMpegtsDescriptor

These values correspond to the registered descriptor type from the various DVB specifications.

Consult the relevant specifications for more details.

#### Members

GST_MTS_DESC_DVB_NETWORK_NAME |  |
GST_MTS_DESC_DVB_SERVICE_LIST |  |
GST_MTS_DESC_DVB_STUFFING |  |
GST_MTS_DESC_DVB_SATELLITE_DELIVERY_SYSTEM |  |
GST_MTS_DESC_DVB_CABLE_DELIVERY_SYSTEM |  |
GST_MTS_DESC_DVB_VBI_DATA |  |
GST_MTS_DESC_DVB_VBI_TELETEXT |  |
GST_MTS_DESC_DVB_BOUQUET_NAME |  |
GST_MTS_DESC_DVB_SERVICE |  |
GST_MTS_DESC_DVB_COUNTRY_AVAILABILITY |  |
GST_MTS_DESC_DVB_LINKAGE |  |
GST_MTS_DESC_DVB_NVOD_REFERENCE |  |
GST_MTS_DESC_DVB_TIME_SHIFTED_SERVICE |  |
GST_MTS_DESC_DVB_SHORT_EVENT |  |
GST_MTS_DESC_DVB_EXTENDED_EVENT |  |
GST_MTS_DESC_DVB_TIME_SHIFTED_EVENT |  |
GST_MTS_DESC_DVB_COMPONENT |  |
GST_MTS_DESC_DVB_MOSAIC |  |
GST_MTS_DESC_DVB_STREAM_IDENTIFIER |  |
GST_MTS_DESC_DVB_CA_IDENTIFIER |  |
GST_MTS_DESC_DVB_CONTENT |  |
GST_MTS_DESC_DVB_PARENTAL_RATING |  |
GST_MTS_DESC_DVB_TELETEXT |  |
GST_MTS_DESC_DVB_TELEPHONE |  |
GST_MTS_DESC_DVB_LOCAL_TIME_OFFSET |  |
GST_MTS_DESC_DVB_SUBTITLING |  |
GST_MTS_DESC_DVB_TERRESTRIAL_DELIVERY_SYSTEM |  |
GST_MTS_DESC_DVB_MULTILINGUAL_NETWORK_NAME |  |
GST_MTS_DESC_DVB_MULTILINGUAL_BOUQUET_NAME |  |
GST_MTS_DESC_DVB_MULTILINGUAL_SERVICE_NAME |  |
GST_MTS_DESC_DVB_MULTILINGUAL_COMPONENT |  |
GST_MTS_DESC_DVB_PRIVATE_DATA_SPECIFIER |  |
GST_MTS_DESC_DVB_SERVICE_MOVE |  |
GST_MTS_DESC_DVB_SHORT_SMOOTHING_BUFFER |  |
GST_MTS_DESC_DVB_FREQUENCY_LIST |  |
GST_MTS_DESC_DVB_PARTIAL_TRANSPORT_STREAM |  |
GST_MTS_DESC_DVB_DATA_BROADCAST |  |
GST_MTS_DESC_DVB_SCRAMBLING |  |
GST_MTS_DESC_DVB_DATA_BROADCAST_ID |  |
GST_MTS_DESC_DVB_TRANSPORT_STREAM |  |
GST_MTS_DESC_DVB_DSNG |  |
GST_MTS_DESC_DVB_PDC |  |
GST_MTS_DESC_DVB_AC3 |  |
GST_MTS_DESC_DVB_ANCILLARY_DATA |  |
GST_MTS_DESC_DVB_CELL_LIST |  |
GST_MTS_DESC_DVB_CELL_FREQUENCY_LINK |  |
GST_MTS_DESC_DVB_ANNOUNCEMENT_SUPPORT |  |
GST_MTS_DESC_DVB_APPLICATION_SIGNALLING |  |
GST_MTS_DESC_DVB_ADAPTATION_FIELD_DATA |  |
GST_MTS_DESC_DVB_SERVICE_IDENTIFIER |  |
GST_MTS_DESC_DVB_SERVICE_AVAILABILITY |  |
GST_MTS_DESC_DVB_DEFAULT_AUTHORITY |  |
GST_MTS_DESC_DVB_RELATED_CONTENT |  |
GST_MTS_DESC_DVB_TVA_ID |  |
GST_MTS_DESC_DVB_CONTENT_IDENTIFIER |  |
GST_MTS_DESC_DVB_TIMESLICE_FEC_IDENTIFIER |  |
GST_MTS_DESC_DVB_ECM_REPETITION_RATE |  |
GST_MTS_DESC_DVB_S2_SATELLITE_DELIVERY_SYSTEM |  |
GST_MTS_DESC_DVB_ENHANCED_AC3 |  |
GST_MTS_DESC_DVB_DTS |  |
GST_MTS_DESC_DVB_AAC |  |
GST_MTS_DESC_DVB_XAIT_LOCATION |  |
GST_MTS_DESC_DVB_FTA_CONTENT_MANAGEMENT |  |
GST_MTS_DESC_DVB_EXTENSION |  |

### enum GstMpegtsDVBExtendedDescriptorType

The type of GstMpegtsDescriptor

These values correspond to the registered extended descriptor type from the various DVB specifications.

Consult the relevant specifications for more details.

#### Members

GST_MTS_DESC_EXT_DVB_IMAGE_ICON |  |
GST_MTS_DESC_EXT_DVB_CPCM_DELIVERY_SIGNALLING |  |
GST_MTS_DESC_EXT_DVB_CP |  |
GST_MTS_DESC_EXT_DVB_CP_IDENTIFIER |  |
GST_MTS_DESC_EXT_DVB_T2_DELIVERY_SYSTEM |  |
GST_MTS_DESC_EXT_DVB_SH_DELIVERY_SYSTEM |  |
GST_MTS_DESC_EXT_DVB_SUPPLEMENTARY_AUDIO |  |
GST_MTS_DESC_EXT_DVB_NETWORK_CHANGE_NOTIFY |  |
GST_MTS_DESC_EXT_DVB_MESSAGE |  |
GST_MTS_DESC_EXT_DVB_TARGET_REGION |  |
GST_MTS_DESC_EXT_DVB_TARGET_REGION_NAME |  |
GST_MTS_DESC_EXT_DVB_SERVICE_RELOCATED |  |
GST_MTS_DESC_EXT_DVB_XAIT_PID |  |
GST_MTS_DESC_EXT_DVB_C2_DELIVERY_SYSTEM |  |
GST_MTS_DESC_EXT_DVB_DTS_HD_AUDIO_STREAM |  |
GST_MTS_DESC_EXT_DVB_DTS_NEUTRAL |  |
GST_MTS_DESC_EXT_DVB_VIDEO_DEPTH_RANGE |  |
GST_MTS_DESC_EXT_DVB_T2MI |  |
GST_MTS_DESC_EXT_DVB_URI_LINKAGE |  |

### struct GstMpegtsContent

    struct GstMpegtsContent {
      GstMpegtsContentNibbleHi content_nibble_1;
      guint8 content_nibble_2;
      guint8 user_byte;
    };

### struct GstMpegtsComponentDescriptor

    struct GstMpegtsComponentDescriptor {
      guint8 stream_content;
      guint8 component_type;
      guint8 component_tag;
      gchar  *language_code;
      gchar  *text;
    };

### struct GstMpegtsExtendedEventItem

    struct GstMpegtsExtendedEventItem {
      gchar *item_description;
      gchar *item;
    };

### struct GstMpegtsExtendedEventDescriptor

    struct GstMpegtsExtendedEventDescriptor {
      guint8 descriptor_number;
      guint8 last_descriptor_number;
      gchar  *language_code;
      GPtrArray *items;
      gchar *text;
    };

Extended Event Descriptor (EN 300 468 v.1.13.1)

#### Members

guint8 `descriptor_number`; |  |
guint8 `last_descriptor_number`; |  |
gchar *`language_code`; | NULL terminated language code. |
GPtrArray *`items`; | the GstMpegtsExtendedEventItem. | [element-type GstMpegtsExtendedEventItem]
gchar *`text`; |  |

### struct GstMpegtsSatelliteDeliverySystemDescriptor

    struct GstMpegtsSatelliteDeliverySystemDescriptor {
      guint32                            frequency;
      gfloat                             orbital_position;
      gboolean                           west_east;
      GstMpegtsSatellitePolarizationType polarization;

      GstMpegtsSatelliteRolloff          roll_off;
      gboolean                           modulation_system;
      GstMpegtsModulationType            modulation_type;

      guint32                            symbol_rate;
      GstMpegtsDVBCodeRate               fec_inner;
    };

Satellite Delivery System Descriptor (EN 300 468 v.1.13.1)

#### Members

guint32 `frequency`; | the frequency in kHz (kiloHertz) |
gfloat `orbital_position`; | the orbital position in degrees |
gboolean `west_east`; | If `TRUE`, the satellite is in the eastern part of the orbit, else in the western part. |
GstMpegtsSatellitePolarizationType `polarization`; | The polarization of the transmitted signal |
GstMpegtsSatelliteRolloff `roll_off`; | Roll-off factor used in DVB-S2 |
gboolean `modulation_system`; | modulation system, `TRUE` if DVB-S2, else DVB-S |
GstMpegtsModulationType `modulation_type`; | Modulation scheme used |
guint32 `symbol_rate`; | Symbol rate (in symbols per second) |
GstMpegtsDVBCodeRate `fec_inner`; | inner FEC scheme used |

### enum GstMpegtsDVBCodeRate

#### Members

GST_MPEGTS_FEC_NONE |  |
GST_MPEGTS_FEC_1_2 |  |
GST_MPEGTS_FEC_2_3 |  |
GST_MPEGTS_FEC_3_4 |  |
GST_MPEGTS_FEC_4_5 |  |
GST_MPEGTS_FEC_5_6 |  |
GST_MPEGTS_FEC_6_7 |  |
GST_MPEGTS_FEC_7_8 |  |
GST_MPEGTS_FEC_8_9 |  |
GST_MPEGTS_FEC_AUTO |  |
GST_MPEGTS_FEC_3_5 |  |
GST_MPEGTS_FEC_9_10 |  |
GST_MPEGTS_FEC_2_5 |  |

### enum GstMpegtsModulationType

#### Members

GST_MPEGTS_MODULATION_QPSK |  |
GST_MPEGTS_MODULATION_QAM_16 |  |
GST_MPEGTS_MODULATION_QAM_32 |  |
GST_MPEGTS_MODULATION_QAM_64 |  |
GST_MPEGTS_MODULATION_QAM_128 |  |
GST_MPEGTS_MODULATION_QAM_256 |  |
GST_MPEGTS_MODULATION_QAM_AUTO |  |
GST_MPEGTS_MODULATION_VSB_8 |  |
GST_MPEGTS_MODULATION_VSB_16 |  |
GST_MPEGTS_MODULATION_PSK_8 |  |
GST_MPEGTS_MODULATION_APSK_16 |  |
GST_MPEGTS_MODULATION_APSK_32 |  |
GST_MPEGTS_MODULATION_DQPSK |  |
GST_MPEGTS_MODULATION_QAM_4_NR_ |  |
GST_MPEGTS_MODULATION_NONE |  |

### enum GstMpegtsSatellitePolarizationType

#### Members

GST_MPEGTS_POLARIZATION_LINEAR_HORIZONTAL |  |
GST_MPEGTS_POLARIZATION_LINEAR_VERTICAL |  |
GST_MPEGTS_POLARIZATION_CIRCULAR_LEFT |  |
GST_MPEGTS_POLARIZATION_CIRCULAR_RIGHT |  |

### enum GstMpegtsSatelliteRolloff

#### Members

GST_MPEGTS_ROLLOFF_35 |  |
GST_MPEGTS_ROLLOFF_20 |  |
GST_MPEGTS_ROLLOFF_25 |  |
GST_MPEGTS_ROLLOFF_RESERVED |  |
GST_MPEGTS_ROLLOFF_AUTO |  |

### struct GstMpegtsCableDeliverySystemDescriptor

    struct GstMpegtsCableDeliverySystemDescriptor {
      guint32                            frequency;
      GstMpegtsCableOuterFECScheme       outer_fec;
      GstMpegtsModulationType            modulation;

      guint32                            symbol_rate;
      GstMpegtsDVBCodeRate               fec_inner;
    };

Cable Delivery System Descriptor (EN 300 468 v.1.13.1)

#### Members

guint32 `frequency`; | the frequency in Hz (Hertz) |
GstMpegtsCableOuterFECScheme `outer_fec`; | the outer FEC scheme used |
GstMpegtsModulationType `modulation`; | Modulation scheme used |
guint32 `symbol_rate`; | Symbol rate (in symbols per second) |
GstMpegtsDVBCodeRate `fec_inner`; | inner FEC scheme used |

### enum GstMpegtsCableOuterFECScheme

#### Members

GST_MPEGTS_CABLE_OUTER_FEC_UNDEFINED |  |
GST_MPEGTS_CABLE_OUTER_FEC_NONE |  |
GST_MPEGTS_CABLE_OUTER_FEC_RS_204_188 |  |

### struct GstMpegtsTerrestrialDeliverySystemDescriptor

    struct GstMpegtsTerrestrialDeliverySystemDescriptor {
      guint32				frequency;
      guint32				bandwidth;
      gboolean				priority;
      gboolean				time_slicing;
      gboolean				mpe_fec;
      GstMpegtsModulationType		constellation;
      GstMpegtsTerrestrialHierarchy		hierarchy;
      GstMpegtsDVBCodeRate			code_rate_hp;
      GstMpegtsDVBCodeRate			code_rate_lp;
      GstMpegtsTerrestrialGuardInterval guard_interval;
      GstMpegtsTerrestrialTransmissionMode transmission_mode;
      gboolean				other_frequency;
    };

Terrestrial Delivery System Descriptor (EN 300 468 v.1.13.1)

#### Members

guint32 `frequency`; | the frequency in Hz (Hertz) |
guint32 `bandwidth`; | the bandwidth in Hz (Hertz) |
gboolean `priority`; | `TRUE` High Priority `FALSE` Low Priority |
gboolean `time_slicing`; | `TRUE` no time slicing `FALSE` time slicing |
gboolean `mpe_fec`; | `TRUE` no mpe-fec is used `FALSE` mpe-fec is use |
GstMpegtsModulationType `constellation`; | the constallation |
GstMpegtsTerrestrialHierarchy `hierarchy`; | the hierarchy |
GstMpegtsDVBCodeRate `code_rate_hp`; |  |
GstMpegtsDVBCodeRate `code_rate_lp`; |  |
GstMpegtsTerrestrialGuardInterval `guard_interval`; |  |
GstMpegtsTerrestrialTransmissionMode `transmission_mode`; |  |
gboolean `other_frequency`; | `TRUE` more frequency are use, else not |

### enum GstMpegtsTerrestrialTransmissionMode

#### Members

GST_MPEGTS_TRANSMISSION_MODE_2K |  |
GST_MPEGTS_TRANSMISSION_MODE_8K |  |
GST_MPEGTS_TRANSMISSION_MODE_AUTO |  |
GST_MPEGTS_TRANSMISSION_MODE_4K |  |
GST_MPEGTS_TRANSMISSION_MODE_1K |  |
GST_MPEGTS_TRANSMISSION_MODE_16K |  |
GST_MPEGTS_TRANSMISSION_MODE_32K |  |
GST_MPEGTS_TRANSMISSION_MODE_C1 |  |
GST_MPEGTS_TRANSMISSION_MODE_C3780 |  |

### enum GstMpegtsTerrestrialGuardInterval

#### Members

GST_MPEGTS_GUARD_INTERVAL_1_32 |  |
GST_MPEGTS_GUARD_INTERVAL_1_16 |  |
GST_MPEGTS_GUARD_INTERVAL_1_8 |  |
GST_MPEGTS_GUARD_INTERVAL_1_4 |  |
GST_MPEGTS_GUARD_INTERVAL_AUTO |  |
GST_MPEGTS_GUARD_INTERVAL_1_128 |  |
GST_MPEGTS_GUARD_INTERVAL_19_128 |  |
GST_MPEGTS_GUARD_INTERVAL_19_256 |  |
GST_MPEGTS_GUARD_INTERVAL_PN420 |  |
GST_MPEGTS_GUARD_INTERVAL_PN595 |  |
GST_MPEGTS_GUARD_INTERVAL_PN945 |  |

### enum GstMpegtsTerrestrialHierarchy

#### Members

GST_MPEGTS_HIERARCHY_NONE |  |
GST_MPEGTS_HIERARCHY_1 |  |
GST_MPEGTS_HIERARCHY_2 |  |
GST_MPEGTS_HIERARCHY_4 |  |
GST_MPEGTS_HIERARCHY_AUTO |  |

### struct GstMpegtsT2DeliverySystemCellExtension

    struct GstMpegtsT2DeliverySystemCellExtension {
      guint8  cell_id_extension;
      guint32 transposer_frequency;
    };

#### Members

guint8 `cell_id_extension`; | id of the sub cell |
guint32 `transposer_frequency`; | centre frequency of the sub cell in Hz |

### struct GstMpegtsT2DeliverySystemCell

    struct GstMpegtsT2DeliverySystemCell {
      guint16      cell_id;
      GArray       *centre_frequencies;
      GPtrArray    *sub_cells;
    };

#### Members

guint16 `cell_id`; | id of the cell |
GArray *`centre_frequencies`; | centre frequencies in Hz. | [element-type guint32]
GPtrArray *`sub_cells`; | . | [element-type GstMpegtsT2DeliverySystemCellExtension]

### struct GstMpegtsT2DeliverySystemDescriptor

    struct GstMpegtsT2DeliverySystemDescriptor {
      guint8                                plp_id;
      guint16                               t2_system_id;
      /* FIXME: */
      guint8                                siso_miso;
      guint32                               bandwidth;
      GstMpegtsTerrestrialGuardInterval     guard_interval;
      GstMpegtsTerrestrialTransmissionMode  transmission_mode;
      gboolean                              other_frequency;
      gboolean                              tfs;
      GPtrArray                             *cells;
    };

describe DVB-T2 transmissions according to EN 302 755

#### Members

guint8 `plp_id`; |  |
guint16 `t2_system_id`; |  |
guint8 `siso_miso`; |  |
guint32 `bandwidth`; |  |
GstMpegtsTerrestrialGuardInterval `guard_interval`; |  |
GstMpegtsTerrestrialTransmissionMode `transmission_mode`; |  |
gboolean `other_frequency`; |  |
gboolean `tfs`; |  |
GPtrArray *`cells`; | . | [element-type GstMpegtsT2DeliverySystemCell]

### enum GstMpegtsDVBServiceType

The type of service of a channel.

As specified in Table 87 of ETSI EN 300 468 v1.13.1

#### Members

GST_DVB_SERVICE_RESERVED_00 |  |
GST_DVB_SERVICE_DIGITAL_TELEVISION |  |
GST_DVB_SERVICE_DIGITAL_RADIO_SOUND |  |
GST_DVB_SERVICE_TELETEXT |  |
GST_DVB_SERVICE_NVOD_REFERENCE |  |
GST_DVB_SERVICE_NVOD_TIME_SHIFTED |  |
GST_DVB_SERVICE_MOSAIC |  |
GST_DVB_SERVICE_FM_RADIO |  |
GST_DVB_SERVICE_DVB_SRM |  |
GST_DVB_SERVICE_RESERVED_09 |  |
GST_DVB_SERVICE_ADVANCED_CODEC_DIGITAL_RADIO_SOUND |  |
GST_DVB_SERVICE_ADVANCED_CODEC_MOSAIC |  |
GST_DVB_SERVICE_DATA_BROADCAST |  |
GST_DVB_SERVICE_RESERVED_0D_COMMON_INTERFACE |  |
GST_DVB_SERVICE_RCS_MAP |  |
GST_DVB_SERVICE_RCS_FLS |  |
GST_DVB_SERVICE_DVB_MHP |  |
GST_DVB_SERVICE_MPEG2_HD_DIGITAL_TELEVISION |  |
GST_DVB_SERVICE_ADVANCED_CODEC_SD_DIGITAL_TELEVISION |  |
GST_DVB_SERVICE_ADVANCED_CODEC_SD_NVOD_TIME_SHIFTED |  |
GST_DVB_SERVICE_ADVANCED_CODEC_SD_NVOD_REFERENCE |  |
GST_DVB_SERVICE_ADVANCED_CODEC_HD_DIGITAL_TELEVISION |  |
GST_DVB_SERVICE_ADVANCED_CODEC_HD_NVOD_TIME_SHIFTED |  |
GST_DVB_SERVICE_ADVANCED_CODEC_HD_NVOD_REFERENCE |  |
GST_DVB_SERVICE_ADVANCED_CODEC_STEREO_HD_DIGITAL_TELEVISION |  |
GST_DVB_SERVICE_ADVANCED_CODEC_STEREO_HD_NVOD_TIME_SHIFTED |  |
GST_DVB_SERVICE_ADVANCED_CODEC_STEREO_HD_NVOD_REFERENCE |  |
GST_DVB_SERVICE_RESERVED_FF |  |

### enum GstMpegtsDVBTeletextType

The type of teletext page.

As specified in Table 100 of ETSI EN 300 468 v1.13.1

#### Members

INITIAL_PAGE |  |
SUBTITLE_PAGE |  |
ADDITIONAL_INFO_PAGE |  |
PROGRAMME_SCHEDULE_PAGE |  |
HEARING_IMPAIRED_PAGE |  |

### enum GstMpegtsDVBLinkageType

Linkage Type (EN 300 468 v.1.13.1)

#### Members

GST_MPEGTS_DVB_LINKAGE_RESERVED_00 |  |
GST_MPEGTS_DVB_LINKAGE_INFORMATION |  |
GST_MPEGTS_DVB_LINKAGE_EPG |  |
GST_MPEGTS_DVB_LINKAGE_CA_REPLACEMENT |  |
GST_MPEGTS_DVB_LINKAGE_TS_CONTAINING_COMPLETE_SI |  |
GST_MPEGTS_DVB_LINKAGE_SERVICE_REPLACEMENT |  |
GST_MPEGTS_DVB_LINKAGE_DATA_BROADCAST |  |
GST_MPEGTS_DVB_LINKAGE_RCS_MAP |  |
GST_MPEGTS_DVB_LINKAGE_MOBILE_HAND_OVER |  |
GST_MPEGTS_DVB_LINKAGE_SYSTEM_SOFTWARE_UPDATE |  |
GST_MPEGTS_DVB_LINKAGE_TS_CONTAINING_SSU |  |
GST_MPEGTS_DVB_LINKAGE_IP_MAC_NOTIFICATION |  |
GST_MPEGTS_DVB_LINKAGE_TS_CONTAINING_INT |  |
GST_MPEGTS_DVB_LINKAGE_EVENT |  |
GST_MPEGTS_DVB_LINKAGE_EXTENDED_EVENT |  |

### enum GstMpegtsDVBLinkageHandOverType

#### Members

GST_MPEGTS_DVB_LINKAGE_HAND_OVER_RESERVED |  |
GST_MPEGTS_DVB_LINKAGE_HAND_OVER_IDENTICAL |  |
GST_MPEGTS_DVB_LINKAGE_HAND_OVER_LOCAL_VARIATION |  |
GST_MPEGTS_DVB_LINKAGE_HAND_OVER_ASSOCIATED |  |

### struct GstMpegtsDVBLinkageMobileHandOver

    struct GstMpegtsDVBLinkageMobileHandOver {
      GstMpegtsDVBLinkageHandOverType hand_over_type;
      /* 0 = NIT, 1 = SDT */
      gboolean                        origin_type;
      guint16                         network_id;
      guint16                         initial_service_id;
    };

### struct GstMpegtsDVBLinkageEvent

    struct GstMpegtsDVBLinkageEvent {
      guint16  target_event_id;
      gboolean target_listed;
      gboolean event_simulcast;
    };

### struct GstMpegtsDVBLinkageExtendedEvent

    struct GstMpegtsDVBLinkageExtendedEvent {
      guint16        target_event_id;
      gboolean       target_listed;
      gboolean       event_simulcast;
      /* FIXME: */
      guint8         link_type;
      /* FIXME: */
      guint8         target_id_type;
      gboolean       original_network_id_flag;
      gboolean       service_id_flag;
      /* if (target_id_type == 3) */
      guint16        user_defined_id;
      /* else */
      guint16        target_transport_stream_id;
      guint16        target_original_network_id;
      guint16        target_service_id;
    };

### struct GstMpegtsDVBLinkageDescriptor

    struct GstMpegtsDVBLinkageDescriptor {
      guint16                           transport_stream_id;
      guint16                           original_network_id;
      guint16                           service_id;
      GstMpegtsDVBLinkageType           linkage_type;
      guint8                            private_data_length;
      guint8                            *private_data_bytes;
    };

#### Members

guint16 `transport_stream_id`; | the transport id |
guint16 `original_network_id`; | the original network id |
guint16 `service_id`; | the service id |
GstMpegtsDVBLinkageType `linkage_type`; | the type which `linkage_data` has |
guint8 `private_data_length`; | the length for `private_data_bytes` |
guint8 *`private_data_bytes`; | additional data bytes |

### struct GstMpegtsDataBroadcastDescriptor

    struct GstMpegtsDataBroadcastDescriptor {
      guint16     data_broadcast_id;
      guint8      component_tag;
      guint8      length;
      guint8      *selector_bytes;
      gchar       *language_code;
      gchar       *text;
    };

#### Members

guint16 `data_broadcast_id`; | the data broadcast id |
guint8 `component_tag`; | the component tag |
guint8 `length`; |  |
guint8 *`selector_bytes`; | the selector byte field |
gchar *`language_code`; | language of `text` |
gchar *`text`; | description of data broadcast |

### enum GstMpegtsDVBScramblingModeType

#### Members

GST_MPEGTS_DVB_SCRAMBLING_MODE_RESERVED |  |
GST_MPEGTS_DVB_SCRAMBLING_MODE_CSA1 |  |
GST_MPEGTS_DVB_SCRAMBLING_MODE_CSA2 |  |
GST_MPEGTS_DVB_SCRAMBLING_MODE_CSA3_STANDARD |  |
GST_MPEGTS_DVB_SCRAMBLING_MODE_CSA3_MINIMAL_ENHANCED |  |
GST_MPEGTS_DVB_SCRAMBLING_MODE_CSA3_FULL_ENHANCED |  |
GST_MPEGTS_DVB_SCRAMBLING_MODE_CISSA |  |
GST_MPEGTS_DVB_SCRAMBLING_MODE_ATIS_0 |  |
GST_MPEGTS_DVB_SCRAMBLING_MODE_ATIS_F |  |

### struct GstMpegtsDVBParentalRatingItem

    struct GstMpegtsDVBParentalRatingItem {
      gchar  *country_code;
      guint8 rating;
    };

### struct GstMpegtsDVBServiceListItem

    struct GstMpegtsDVBServiceListItem {
      guint16                 service_id;
      GstMpegtsDVBServiceType type;
    };

#### Members

guint16 `service_id`; | the id of a service |
GstMpegtsDVBServiceType `type`; | the type of a service |

### struct GstMpegtsDvbMultilingualNetworkNameItem

    struct GstMpegtsDvbMultilingualNetworkNameItem {
      gchar *language_code;
      gchar *network_name;
    };

a multilingual network name entry

#### Members

gchar *`language_code`; | the ISO 639 language code |
gchar *`network_name`; | the network name |

### struct GstMpegtsDvbMultilingualBouquetNameItem

    struct GstMpegtsDvbMultilingualBouquetNameItem {
      gchar *language_code;
      gchar *bouquet_name;
    };

a multilingual bouquet name entry

#### Members

gchar *`language_code`; | the ISO 639 language code |
gchar *`bouquet_name`; | the bouquet name |

### struct GstMpegtsDvbMultilingualServiceNameItem

    struct GstMpegtsDvbMultilingualServiceNameItem {
      gchar *language_code;
      gchar *provider_name;
      gchar *service_name;
    };

a multilingual service name entry

#### Members

gchar *`language_code`; | the ISO 639 language code |
gchar *`provider_name`; | the provider name |
gchar *`service_name`; | the service name |

### struct GstMpegtsDvbMultilingualComponentItem

    struct GstMpegtsDvbMultilingualComponentItem {
      gchar *language_code;
      gchar *description;
    };

#### Members

gchar *`language_code`; | the ISO 639 language code |
gchar *`description`; | the component description |